<?php

use function DI\autowire, DI\create, DI\get;

use Storage\Session;

use Taxus\{ Privilege, Taxus, PermissionGrantInterface, DefaultPermissionGrant };

use Psr\Http\Message\ServerRequestInterface;

return [

    Taxus::class => function ($c) {
        $taxus = new Taxus( $c->get(PermissionGrantInterface::class) );

        $taxus->add(... $c->get(Lean\Lean::class)->getTaxusPrivileges());

        return $taxus;
    },

    PermissionGrantInterface::class => create(PermissionGrantInterface::class)->constructor(get(ServerRequestInterface::class), get(Session::class)),
];